<template>
  <div id="dynamic-register-field">
    <label class="db fw6 lh-copy f6 tl pv1"> {{ field.label }} </label>
    <input v-if="field.type == 'text'" :v-model="'form.' + field.label" :name="field.label" :type="field.type" class="pa2 w-100  b--primary">
    <input v-if="field.type == 'date'" :type="field.type" class="pa2 w-100  b--primary">
    <select v-if="field.type == 'select'" class="pa2 w-100  b--primary">
      <option v-for="opt in field.options" :key="opt.id" :value="opt.value">
        {{ opt.text }}
      </option>
    </select>
    <div v-if="field.type == 'checkbox'" class="tl">
      <div v-for="opt in field.options" :key="opt.id" class="tl">
        <input :type="field.type" :name="field.label + opt.id" :value="opt.value" class="tl"> {{ opt.text }}
      </div>
    </div>
    <textarea v-if="field.type == 'textarea'" class="pa2 w-100  b--primary"/>
    <input v-if="field.type == 'file'" :type="field.type" class="pa2 w-100  b--primary">
    <input v-if="field.type == 'image'" type="file" accept="image/png, image/jpeg" class="pa2 w-100  b--primary">
  </div>
</template>

<script>
export default {
  props: {
    field: {
      type: Object,
      required: true
    }
  }
}
</script>

<style lang="scss" scoped>
</style>
